Changeset 111612 for trunk/dports/ruby


Ignore:
Timestamp:
Sep 27, 2013, 1:10:43 PM (6 years ago)
Author:
kimuraw@…
Message:

ruby/rb-*: delete deprecated ruby-gnome2 modules

these ruby-gnome2 modules are deprecated at ruby-gnome2 1.0.0.

  • rb-libgnome
  • rb-gnomevfs
  • rb-gnomeprintui
  • rb-libart
  • rb-gconf
  • rb-vte
  • rb-gtkhtml
  • rb-libglade2
  • rb-gnomecanvas
  • rb-gnomeprint
  • rb-gtkglext
Location:
trunk/dports/ruby
Files:
11 deleted
2 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/ruby/rb-gnome/files/README.rb-gnome

    r54809 r111612  
    1313rb-gtk2 contains gdkpixbuf2 and gtk2.
    1414
    15   * rb-gconf         Ruby/GConf2: GConf 2.0.x or later
    16   * rb-libgnome      Ruby/GNOME2: libgnome-2.0.x, libgnomeui-2.0.x or later
    17   * rb-gnomecanvas   Ruby/GnomeCanvas2: libgnomecanvas-2.0.x or later
    18   * rb-gnomeprint    Ruby/GnomePrint: libgnomeprint-2.8.x or later
    19   * rb-gnomeprintui  Ruby/GnomePrintUI: libgnomeprintui-2.6.x or later
    20   * rb-gnomevfs      Ruby/GnomeVFS: GnomeVFS 2.0.x or later
    21   * rb-gtkhtml       Ruby/GtkHtml2: GtkHtml2 2.0.x or later
    22   * rb-gtkglext      Ruby/GtkGLExt: GtkGLExt 1.0.3 or later
    2315  * (NOT READY)      Ruby/GtkMozEmbed: GtkMozEmbed (Mozilla 1.7.x or FireFox-1.0.x or later)
    2416  * (NOT SUPPORT)    Ruby/GtkSourceView: GtkSourceView 1.0.1 or later
    25   * rb-libart        Ruby/Libart2: libart_lgpl 2.3.12 or later
    26   * rb-libglade2     Ruby/Libglade2: Libglade 2.0.x or later
    2717  * rb-rsvg          Ruby/RSVG: librsvg 2.8.0 or later
    2818  * rb-poppler       Ruby/Poppler is a Ruby binding of poppler-glib.
     
    4434  * (N/A)            Ruby/PanelApplet: gnome-panel 2.6.0 or later (deprecated since 0.16.0)
    4535
     36=== Depricated at Ruby-Gnome2 1.0.0
     37
     38  * rb-gconf         Ruby/GConf2: GConf 2.0.x or later
     39  * rb-libgnome      Ruby/GNOME2: libgnome-2.0.x, libgnomeui-2.0.x or later
     40  * rb-gnomeprint    Ruby/GnomePrint: libgnomeprint-2.8.x or later
     41  * rb-gnomeprintui  Ruby/GnomePrintUI: libgnomeprintui-2.6.x or later
     42  * rb-gnomevfs      Ruby/GnomeVFS: GnomeVFS 2.0.x or later
     43  * rb-gnomecanvas   Ruby/GnomeCanvas2: libgnomecanvas-2.0.x or later
     44  * rb-gtkhtml       Ruby/GtkHtml2: GtkHtml2 2.0.x or later
     45  * rb-gtkglext      Ruby/GtkGLExt: GtkGLExt 1.0.3 or later
     46  * rb-libglade2     Ruby/Libglade2: Libglade 2.0.x or later
     47  * rb-libart        Ruby/Libart2: libart_lgpl 2.3.12 or later
     48
  • trunk/dports/ruby/rb-gnome/files/port-upd-rb-gnome.rb

    r80803 r111612  
    1414        %w[rb-glib2 rb-atk rb-pango rb-gtk2] +
    1515        # gnome modules
    16         %w[rb-rsvg rb-poppler rb-vte rb-gtksourceview2] +
     16        %w[rb-rsvg rb-poppler rb-gtksourceview2] +
    1717        # experimental
    1818        %w[rb-gstreamer]
Note: See TracChangeset for help on using the changeset viewer.